KDE 4.2 PyKDE API Reference

- KDE's Python API

# DesktopOntologyLoader Class Reference

`from PyKDE4.nepomuk import *`

Inherits: OntologyLoader
Namespace: Nepomuk

## Detailed Description

The DesktopOntologyLoader reads ontologies from the installed ontologies on the desktop using KStandardDirs. All possible ontology installation folders are searched for ontology desktop files.

Deprecated:
  Ontologies should now be handled using the classes in the Nepomuk.Types namespace.

## Methods

| __init__ (self)
[QUrl] | allOntologies (self)
[Soprano::Statement] | loadOntology (self, QUrl url)

## Method Documentation

__init__ | ( |  | self ) |

[QUrl] allOntologies | ( |  | self ) |

Get a list of all ontology URIs that could be found on the system.

[Soprano::Statement] loadOntology | ( | self, |
|  | QUrl | url
| ) |  |  |

reimplemented from OntologyLoader